
<!-- Warning: This file has been autogenerated by tools/makedoc.py. Manual edits will be overwritten. -->
<html>
    <head>
        <title>freesmartphone.org RealtimeClock Interface</title>
        <link rel="stylesheet" type="text/css" href="http://git.freesmartphone.org/?p=specs.git;a=blob_plain;f=html/style.css;hb=HEAD" />
    </head>
    <body>
    <div class="topbox">freesmartphone.org Framework DBus Interface Specification</div>


<h1>org.freesmartphone.Device.RealtimeClock</h1><h2>Description</h2>
<p>This interface provides access to a Realtime Clock device.</p>
<h2>Namespace</h2>
<p><tt>org.freesmartphone.Device.RealtimeClock</tt></p>
<h2>Methods</h2><ul>
<li><a href="#GetCurrentTime">GetCurrentTime</a></li>
<li><a href="#SetCurrentTime">SetCurrentTime</a></li>
<li><a href="#GetWakeupTime">GetWakeupTime</a></li>
<li><a href="#SetWakeupTime">SetWakeupTime</a></li>
</ul>
<h2>Signals</h2><ul>
<li><a href="#WakeupTimeChanged">WakeupTimeChanged</a></li>
<li><a href="#Alarm">Alarm</a></li>
</ul>
<h2>Properties</h2><i>None</i>
<h2>Errors</h2><i>None</i>
<h1>Methods</h1><h3><a name="GetCurrentTime">GetCurrentTime</a> ( ) &rarr; i</h3>
<p><i>Description:</i> Retrieve the current time from the RTC. </p><h4>Returns</h4><i>i: time</i><p>The current time in seconds since epoch. </p>
<h3><a name="SetCurrentTime">SetCurrentTime</a> ( i )</h3>
<p><i>Description:</i> Set the current time in the RTC. </p><h4>Parameters</h4><i>i: time</i><p>The current time in seconds since epoch. </p>
<h3><a name="GetWakeupTime">GetWakeupTime</a> ( ) &rarr; i</h3>
<p><i>Description:</i> Retrieve the currently programmed wakeup time from the RTC. </p><h4>Returns</h4><i>i: time</i><p>The wakeup time in seconds since epoch, if programmed. 0, otherwise. </p>
<h3><a name="SetWakeupTime">SetWakeupTime</a> ( i )</h3>
<p><i>Description:</i> Program a wakeup time in the RTC. </p><h4>Parameters</h4><i>i: time</i><p>The wakeuptime in seconds since epoch. Set to 0, if you want to disable wakeup. </p>
<h1>Signals</h1><h3><h3><a name="WakeupTimeChanged">WakeupTimeChanged</a> ( i )</h3><p><i>Description:</i> Sent, when the programmed RTC wakeup time has been changed. </p><h4>Parameters</h4><i>i: time</i><p>The wakeup time in seconds since epoch, if programmed. 0, otherwise. </p></h3>
<h3><h3><a name="Alarm">Alarm</a> ( i )</h3><p><i>Description:</i> Sent, when the programmed RTC wakeup time has been reached. </p><h4>Parameters</h4><i>i: time</i><p>The wakeup time in seconds since epoch. </p></h3>

    <hr/>
    <small>
    | Specified 2008-2012 by the <a href="http://www.freesmartphone.org">Freesmartphone.org</a> team. | Join us and discuss further drafts smartphones-standards (at) linuxtogo (dot) org
    </small>
    <hr/>
    </body>
</html>

